Subject: Re: CCL:W:Substructure matching

From: Szabolcs Csepregi <scsepregi (a) chemaxon.com>
Date: Sun, 24 Apr 2005 17:43:00 +0200

Hi Sean,

You can do this easily in Java using the MolSearch class of the
JChem API. See documentation including example:

http://www.jchem.com/doc/api/chemaxon/sss/search/MolSearch.html

We also have a command-line program called jcsearch:

$ jcsearch --allHits -q 'c1cncn1' 'C1CCC(CC1)c2c[nH]cn2'
     Query has 1 match:
         Match 1:[    7,   8,   9,  10,  11 ]
C1CCC(CC1)c2c[nH]cn2

$ jcsearch --allHits --orderSensitive -q 'c1cncn1' 'C1CCC(CC1)c2c[nH]cn2'
     Query has 2 matches:
         Match 1:[    7,   8,   9,  10,  11 ]
         Match 2:[    8,   7,  11,  10,   9 ]
C1CCC(CC1)c2c[nH]cn2

http://www.jchem.com/doc/user/Jcsearch.html

JChem is free for academia, see:
http://www.chemaxon.hu/forum/ftopic193.html

All the best,
Szabolcs

Sean, , OBrien wrote:
> Hi All,
> 
> I am searching for some software that will help me to identify 
> the atoms within a molecule that match a query substructure. 
> For example I wish to find which atoms belong to an imidazole 
> ring. The aim is to extract the matching substructure while 
> keeping the original atomic coordinates.
> 
> I know that several substructure matching routines exist, and 
> some are even freely available but I haven't found any that 
> return the identity of the matching atoms. Some return the 
> whole molecule or a tally of how many times the substructure 
> is present. They obviously "know" which atoms match but I am 
> having difficulty identifying them. Similarly matching strings 
> in SMILES doesn't return the initial atom ids.
> 
> I would be very grateful for any routines that do this, or that 
> can be modified for this purpose,
> 
> Many Thanks,
> 
> Sean O'Brien
> 
> 
> -= This is automatically added to each message by the mailing script =-
> To send e-mail to subscribers of CCL put the string CCL: on your Subject: line
> and send your message to:  CHEMISTRY (a) ccl.net
> 
> Send your subscription/unsubscription requests to: CHEMISTRY-REQUEST (a) ccl.net 
> HOME Page: http://www.ccl.net   | Jobs Page: http://www.ccl.net/jobs 
> 
> If your is mail bouncing from ccl.net domain due to spam filters, please
> use the Web based form from CCL Home Page 
> -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
> 
> 
> 
> 

-- 
Szabolcs Csepregi, PhD
ChemAxon Ltd.
Maramaros koz 3/A, Budapest, 1037 Hungary
http://www.chemaxon.com
Cell: +3620 4219863
Tel: +361 4532661
Fax: +361 4532659
mailto:scsepregi (a) chemaxon.com